Method: instances.fetchShareableObjects

Full name: projects.locations.instances.fetchShareableObjects

Allows administrators to fetch the list of all Object RBAC-enabled objects within an instance.

HTTP request

GET https://{endpoint}/v1alpha/{parent}:fetchShareableObjects

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of objects to return. The service may return fewer than this value. If unspecified, at most 100 objects will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous instances.fetchShareableObjects call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to instances.fetchShareableObjects must match the call that provided the page token.

filter

string

Optional. A filter string to restrict the results. The supported filter is: * objectType: Filter by the type of object. Supported values are "OBJECT_TYPE_NATIVE_DASHBOARD" and "OBJECT_TYPE_SEARCH_QUERY". * owner: Filter by the IAM principal of the owner. The supported formats are: * user:{emailid} for Google Account user * principal://iam.googleapis.com/locations/global/workforcePools/POOL_ID/subject/SUBJECT_ATTRIBUTE_VALUE for Workforce Identity user * serviceAccount:SA_EMAIL_ADDRESS for service account * principal://iam.googleapis.com/projects/PROJECT_NUMBER/locations/global/workloadIdentityPools/POOL_ID/subject/SUBJECT_ATTRIBUTE_VALUE for Workload Identity user * principal://TRUST_DOMAIN/resources/SERVICE/RESOURCE_PATH for agent identity user.

Examples: objectType = "OBJECT_TYPE_NATIVE_DASHBOARD" owner = "user:test@example.com" objectType = "OBJECT_TYPE_SEARCH_QUERY" AND owner = "user:test@example.com"

resourceType

enum (ObjectType)

Optional. The resource type of the objects to fetch when Object RBAC is not enabled for the instance.

Request body

The request body must be empty.

Response body

Response message for instances.fetchShareableObjects.

If successful, the response body contains data with the following structure:

JSON representation
{
  "objects": [
    {
      object (ObjectMetadata)
    }
  ],
  "nextPageToken": string
}
Fields
objects[]

object (ObjectMetadata)

The list of shareable objects.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

ObjectType

Type of the shareable object.

Enums
OBJECT_TYPE_UNSPECIFIED Unspecified object type.
OBJECT_TYPE_NATIVE_DASHBOARD Native Dashboard.
OBJECT_TYPE_SEARCH_QUERY instances.search Query.

ObjectMetadata

Metadata for a shareable object.

JSON representation
{
  "resource": string,
  "displayName": string,
  "ownerPrincipal": string,
  "resourceType": enum (ObjectType)
}
Fields
resource

string

The resource name of the Shareable Object. Any one of the supported ObjectRBAC resources projects/{project}/locations/{location}/instances/{instance}/nativeDashboards/{nativeDashboard} projects/{project}/locations/{location}/instances/{instance}/users/{user}/searchQueries/{searchQuery}

displayName

string

The display name of the Shareable Object.

ownerPrincipal

string

The IAM principal of the current owner of the Object

resourceType

enum (ObjectType)

The resource type of the Shareable Object.